Subject: Re: [PATCH 18/25] x86: move the XOR code to lib/raid/

From: Christoph Hellwig <[email-masked]>
Date: Tue, 3 Mar 2026 17:05:46 +0100

On Sat, Feb 28, 2026 at 11:31:17AM +0100, Peter Zijlstra wrote:
> Hmm, I suppose. Its just weird that we now have to look in both
> arch/$foo and lib/*/$foo/ to find all arch code.

We've had instance of that for a long time, e.g. lib/raid6/

> And I don't suppose symlinks would make it better?

Ugg, just purely from the organizaton perspective it would make
things a lot worse.  I'm also not sure how well git copes with
symlinks.